﻿Procedure OpenHelp3(topic.s)
    ProcedureReturn RunProgram("ms-xhelp:///?method=f1&query="+topic+"&format=html&devlang=c++&targetos=windows&product=vs&productversion=100&embedded=true");&embedded=true&locale=en-us")
EndProcedure

Procedure SearchHelp3(topic.s)
    ProcedureReturn RunProgram("ms-xhelp:///?method=search&query="+topic+"&format=html&devlang=c++&targetos=windows&ProductVersion=100&Product=vs&PageSize=10&PageNumber=1&embedded=true");&embedded=true&locale=en-us")
EndProcedure

Procedure SearchHelp3Keyword(keyword.s)
    RunProgram("ms-xhelp:///?method=keywords&format=html&query="+keyword+"&product=vs&productversion=100&locale=en-us&category=topic")
EndProcedure

Procedure SearchHelp3Online(topic.s)
    ProcedureReturn RunProgram("http://msdn.microsoft.com/query/dev10.query?appId=Dev10IDEF1&l=EN-US&k=k("+topic+")&rd=true")
EndProcedure



;OpenHelp3("winuser/SendMessage")
;OpenHelp3("winuser/CreateWindowEx")
;OpenHelp3("winuser/DrawText")

;OpenHelp3("shellapi/DragQueryFile")

;OpenHelp3("wincon/AttachConsole")

;OpenHelp3("SendMessage")
;OpenHelp3("CreateWindowEx")
;OpenHelp3("DragQueryFile")
;OpenHelp3("AttachConsole")
;OpenHelp3("DrawText")      ; DOESNT WORK
;OpenHelp3("WM_QUIT")

;SearchHelp3("SendMessage")
;SearchHelp3("CreateWindowEx")
;SearchHelp3("DrawTextEx")
;SearchHelp3("DragQueryFile")
;SearchHelp3("AttachConsole")
;SearchHelp3("WM_QUIT")
;SearchHelp3("DT_CENTER")

;SearchHelp3Online("CreateWindowEx")

;RunProgram("ms-xhelp:///?method=keywords&format=xml&query=MessageBoxEx&product=vs&productversion=100&locale=en-us&category=topic")
;End



Word$ = GetEnvironmentVariable("PB_TOOL_Word")
If Word$=""
    RunProgram("ms-xhelp:///?method=page&id=-1&format=html&devlang=c++&targetos=windows&product=vs&embedded=true&productversion=100&locale=en-us")
Else
    If LCase(ProgramParameter(0)) = "-search"
        If Right(Word$,1)="_"
            Word$ = Left(Word$,Len(Word$)-1)
        EndIf
        SearchHelp3(Word$)
    ElseIf LCase(ProgramParameter(0)) = "-keyword"
        If Right(Word$,1)="_"
            Word$ = Left(Word$,Len(Word$)-1)
        EndIf
        SearchHelp3Keyword(Word$)
    ElseIf Right(Word$,1)="_"
        Word$ = Left(Word$,Len(Word$)-1)
        Repeat
            Restore winuser
            Repeat
                Read.s s.s
                If s = LCase(Word$) : Word$ = "winuser/"+Word$ : Break 2: EndIf
            Until s = ""
            Restore winbase
            Repeat
                Read.s s.s
                If s = LCase(Word$) : Word$ = "winbase/"+Word$ : Break 2: EndIf
            Until s = ""
            Restore wingdi
            Repeat
                Read.s s.s
                If s = LCase(Word$) : Word$ = "wingdi/"+Word$ : Break 2: EndIf
            Until s = ""
        Until 1
        OpenHelp3(Word$)
    Else
        SearchHelp3(Word$)
    EndIf
EndIf

DataSection
    winuser:
        Data.s "messagebox", "drawtext", "loadcursor", "iswindow","setforegroundwindow","getforegroundwindow"
        Data.s "getclassname","getclasslong","setclasslong","getclassword","setclassword","getclassinfo"
        Data.s "findwindow","findwindowex","showwindow"
        Data.s "setwindowtext","getwindowtext"
        Data.s ""
    winbase:
        Data.s "sleep", "getlasterror","setlasterror","formatmessage", "closehandle"
        Data.s ""
    wingdi:
        Data.s "abortdoc","abortpath"
        Data.s ""
EndDataSection

;#WM_QUIT
;#WM_LBUTTONDOWN
;WNDCLASSEX

; IDE Options = PureBasic 4.60 (Windows - x86)
; CursorPosition = 56
; FirstLine = 38
; Folding = -
; EnableXP
; Executable = ..\..\..\BASIC\PureBasic\TOOLS\Open_VS2010_Help.exe
; CPU = 5